- Home
- API Enriched
- Bigip
- config
- GET Security Config for BIG-IP Load Balancer.
GET Security Config for BIG-IP Load Balancer.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/bigip_virtual_servers/get_security_config';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"all_bigip_virtual_servers":{},"bigip_virtual_servers_list":{"bigip_virtual_servers":["example"]},"namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/bigip_virtual_servers/get_security_config \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "all_bigip_virtual_servers": {}, "bigip_virtual_servers_list": { "bigip_virtual_servers": [ "example" ] }, "namespace": "example" }'Fetch the corresponding Security Config for the given BIG-IP load balancers.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace x-required Namespace of the BIG-IP Load Balancer for current request.
Request Bodyrequired
Section titled “Request Bodyrequired”Request of GET Security Config Spec API.
object
object
object
Required: YES.
Namespace of the BIG-IP Load Balancer for current request Required: YES.
Examplegenerated
{ "all_bigip_virtual_servers": {}, "bigip_virtual_servers_list": { "bigip_virtual_servers": [ "example" ] }, "namespace": "example"}Responses
Section titled “Responses”A successful response.
object
API version or group
Configuration parameter for app firewall
Configuration parameter for app firewall per route
Configuration parameter for bot defense
Configuration parameter for ddos detection
Protection or security configuration
Examplegenerated
{ "api_protection": [ "example" ], "app_firewall": [ "example" ], "app_firewall_per_route": [ "example" ], "bot_defense": [ "example" ], "ddos_detection": [ "example" ], "protected": [ "example" ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example